## RygelThumbnail

RygelThumbnail — Represents a picture or video thumbnail.

## Functions

RygelThumbnail * | rygel_thumbnail_new ()

## Types and Values

#define | RYGEL_TYPE_THUMBNAIL
struct | RygelThumbnail
struct | RygelThumbnailClass

## Object Hierarchy

        RygelIconInfo
        ╰── RygelThumbnail

## Description

## Functions

### rygel_thumbnail_new ()

    RygelThumbnail *
    rygel_thumbnail_new (const gchar *mime_type,
                         const gchar *dlna_profile,
                         const gchar *file_extension);

#### Parameters

mime_type |  |
dlna_profile |  |
file_extension |  |

## Types and Values

### RYGEL_TYPE_THUMBNAIL

    #define RYGEL_TYPE_THUMBNAIL (rygel_thumbnail_get_type ())

The type for RygelThumbnail.

### struct RygelThumbnail

    struct RygelThumbnail;

Represents a picture or video thumbnail.

### struct RygelThumbnailClass

    struct RygelThumbnailClass {
    	RygelIconInfoClass parent_class;
    	RygelMediaResource* (*get_resource) (RygelThumbnail* self, const gchar* protocol, gint index);
    };

The class structure for `RYGEL_TYPE_THUMBNAIL`. All the fields in this structure are private and should never be accessed directly.

#### Members

`get_resource` () |  |